Index: main/trunk/release-kits/shared/core/language-strings/LanguagePack_ru.properties
===================================================================
--- main/trunk/release-kits/shared/core/language-strings/LanguagePack_ru.properties	(revision 30138)
+++ main/trunk/release-kits/shared/core/language-strings/LanguagePack_ru.properties	(revision 30485)
@@ -9,5 +9,4 @@
 welcome.displayText:Greenstone@version.major@ Ð¿ÑÐŸÐ³ÑÐ°ÐŒÐŒÐœÐŸÐµ ÐŸÐ±ÐµÑÐ¿ÐµÑÐµÐœÐžÐµ ÐŽÐ»Ñ ÑÐŸÐ·ÐŽÐ°ÐœÐžÑ Ðž ÐŸÐ±ÐŒÐµÐœÐ° ÑÐžÑÑÐŸÐ²ÐŸÐ¹ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž.\n\nÐ­ÑÐŸÑ installer Ð²ÐºÐ»ÑÑÐ°ÐµÑ Ð² ÑÐµÐ±Ñ ÑÐžÑÑÐµÐŒÑ Greenstone,Ð¿Ð»ÑÑ ÐœÐ°ÑÑÑÐŸÐ¹ÐºÐž ÐŽÐ»Ñ Ñ
 ÐŸÑÑÐžÐœÐ³Ð° ÑÐžÑÑÐŸÐ²ÐŸÐ¹ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž (Apache 2.2 ÐŽÐ»Ñ Linux/MacOS, Greenstone Library Server for Windows), ÐºÐŸÐœÐ²ÐµÑÑÐžÑÐžÑ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐ¹ (ImageMagick), Ðž Ð¿ÐŸÐŽÐŽÐµÑÐ¶ÐºÐ° pdf Ðž postscript ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ² (GhostScript - Windows Ðž MacOS ÑÐŸÐ»ÑÐºÐŸ).
-
 welcome-greenstone3.displayText:Greenstone@version.major@ - Ð¿ÑÐŸÐ³ÑÐ°ÐŒÐŒÐœÐŸÐµ ÐŸÐ±ÐµÑÐ¿ÐµÑÐµÐœÐžÐµ ÐŽÐ»Ñ ÑÐŸÐ·ÐŽÐ°ÐœÐžÑ Ðž ÐŸÐ±ÐŒÐµÐœÐ° ÑÐžÑÑÐŸÐ²ÐŸÐ¹ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž.
 
@@ -93,4 +92,6 @@
 
 page.admin-pages.displayText:Ð¡ÑÑÐ°ÐœÐžÑÑ ÐÐŽÐŒÐžÐœÐžÑÑÑÐžÑÐŸÐ²Ð°ÐœÐžÑ
+
+## GS2
 admin-expl.displayText:ÐÐŽÐŒÐžÐœÐžÑÑÑÐ°ÑÐžÐ²ÐœÑÐµ ÑÑÑÐ°ÐœÐžÑÑ ÐžÐœÑÐµÑÑÐµÐ¹ÑÐ° ÐÑÐžÐœÑÑÐŸÑÐœ Ð¿ÐŸÐ·Ð²ÐŸÐ»ÑÑÑ ÐÐ°ÐŒ ÑÐ¿ÑÐ°Ð²Ð»ÑÑÑ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»ÑÑÐºÐžÐŒÐž Ð±Ð°Ð·Ð°ÐŒÐž ÐŽÐ°ÐœÐœÑÑ
 , ÑÑÐŸ ÐœÐµÐŸÐ±Ñ
@@ -100,4 +101,11 @@
  ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐ¹.
 enable.admin.pages.displayText:ÐÐºÐ»ÑÑÐžÑÑ ÑÑÑÐ°ÐœÐžÑÑ ÐÐŽÐŒÐžÐœÐžÑÑÑÐžÑÐŸÐ²Ð°ÐœÐžÑ
+
+## GS3
+admin3-expl.displayText:Ð¡ÑÑÐ°ÐœÐžÑÑ Ð°ÐŽÐŒÐžÐœÐžÑÑÑÐžÑÐŸÐ²Ð°ÐœÐžÑ Ð² ÐžÐœÑÐµÑÑÐµÐ¹ÑÐµ ÐÑÐžÐœÑÑÐŸÑÐœ Ð¿ÐŸÐ·Ð²ÐŸÐ»ÑÑÑ ÐÐ°ÐŒ ÑÐ¿ÑÐ°Ð²Ð»ÑÑÑ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»ÑÐŒÐž, Ð°ÐºÑÐžÐ²ÐžÑÐŸÐ²Ð°ÑÑ Greenbug ÐŽÐ»Ñ Ð²ÐžÐ·ÑÐ°Ð»ÑÐœÐŸÐ³ÐŸ ÑÐµÐŽÐ°ÐºÑÐžÑÐŸÐ²Ð°ÐœÐžÑ Ð²ÑÑÐ°Ð¶ÐµÐœÐžÐ¹ ÑÐŸÑÐŒÐ°ÑÐžÑÐŸÐ²Ð°ÐœÐžÑ, Ð° ÑÐ°ÐºÐ¶Ðµ Ð²ÐºÐ»ÑÑÐ°ÑÑ ÑÐµÐ¶ÐžÐŒ ÑÐµÐŽÐ°ÐºÑÐžÑÐŸÐ²Ð°ÐœÐžÑ Ð² Ð±ÑÐ°ÑÐ·ÐµÑÐµ ÐŽÐ»Ñ ÐžÐ·ÐŒÐµÐœÐµÐœÐžÑ ÑÑÑÑÐºÑÑÑÑ Ðž ÑÐŸÐŽÐµÑÐ¶Ð°ÐœÐžÑ Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÐµÐœÐžÐ¹ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ², ÑÐŸÐ·ÐŽÐ°Ð²Ð°ÐµÐŒÑÑ
+ ÐÑÐžÐœÑÑÐŸÑÐœ.
+admin3-expl-2.displayText:Ð¥ÐŸÑÐžÑÐµ Ð»Ðž ÐÑ ÑÐµÐ¹ÑÐ°Ñ ÑÑÑÐ°ÐœÐŸÐ²ÐžÑÑ Ð¿Ð°ÑÐŸÐ»Ñ ÐŽÐ»Ñ ÐŽÐŸÑÑÑÐ¿Ð° Ðº ÑÑÑÐ°ÐœÐžÑÐ°ÐŒ ÑÐ¿ÑÐ°Ð²Ð»ÐµÐœÐžÑ ÐÑÐžÐœÑÑÐŸÑÐœ? (ÐÐ° ÑÐ»ÐµÐŽÑÑÑÐµÐ¹ ÑÑÑÐ°ÐœÐžÑÐµ ÐÐ°ÐŒ ÐœÑÐ¶ÐœÐŸ Ð±ÑÐŽÐµÑ Ð²Ð²ÐµÑÑÐž Ð¿Ð°ÑÐŸÐ»Ñ)
+admin3-expl-3.displayText:Ð ÐŽÑÑÐ³ÐŸÐŒ ÑÐ»ÑÑÐ°Ðµ Ð±ÑÐŽÐµÑ ÑÐŸÐ·ÐŽÐ°ÐœÐ° ÑÑÐµÑÐœÐ°Ñ Ð·Ð°Ð¿ÐžÑÑ admin Ñ Ð¿Ð°ÑÐŸÐ»ÐµÐŒ admin. ÐÐ°Ðº ÐŒÐŸÐ¶ÐœÐŸ ÑÐºÐŸÑÐµÐµ ÐžÐ·ÐŒÐµÐœÐžÑÐµ Ð¿Ð°ÑÐŸÐ»Ñ Ñ ÐŽÐŸÐŒÐ°ÑÐœÐµÐ¹ ÑÑÑÐ°ÐœÐžÑÑ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž.
+set.admin.pwd.displayText:ÐÐ°ÐŽÐ°ÑÑ Ð¿Ð°ÑÐŸÐ»Ñ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»Ñ admin ÑÐµÐ¹ÑÐ°Ñ
 
 page.admin-password.displayText:ÐÐŸÐ¶Ð°Ð»ÑÐ¹ÑÑÐ°, ÑÑÑÐ°ÐœÐŸÐ²ÐžÑÐµ Ð¿Ð°ÑÐŸÐ»Ñ Ð°ÐŽÐŒÐžÐœÐžÑÑÑÐ°ÑÐŸÑÐ°