Index: main/trunk/greenstone3/web/WEB-INF/classes/IViaSearch_mi.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/IViaSearch_mi.properties	(revision 30500)
+++ main/trunk/greenstone3/web/WEB-INF/classes/IViaSearch_mi.properties	(revision 30500)
@@ -0,0 +1,2 @@
+#query params
+param.index.kw=Kupu Matua
Index: main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_mi.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_mi.properties	(revision 30499)
+++ main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_mi.properties	(revision 30500)
@@ -1,4 +1,13 @@
+# This now contains the properties for all the core service racks
+
+## Service Names
 TextQuery.name=Rapu Kupu
 
+
+
+
+
+
+# search parameters
 
 param.stem=Whiri kÅ«muri hÄngu
@@ -9,2 +18,27 @@
 param.matchMode.all=te katoa
 param.matchMode.some=Ätehi
+
+
+#levels 
+level.document=Tuhinga
+level.Doc=Tuhinga
+level.section=WÄhanga
+level.Sec=WÄhanga
+level.paragraph=KÅwae
+level.Para=KÅwae
+
+## Authentication
+
+## Authentication services
+
+
+## Authentication params
+
+
+
+## CrossCollectionSearch specific strings
+
+
+## LuceneSearch specific strings
+
+
Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_basic2_mi.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_basic2_mi.properties	(revision 30499)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_basic2_mi.properties	(revision 30500)
@@ -0,0 +1,17 @@
+##################
+# help page
+##################
+
+
+
+help.openbookshelf=WhakatÅ«whera mai Änei pukapuka
+
+
+
+
+
+
+
+
+
+
Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_basic_mi.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_basic_mi.properties	(revision 30499)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_basic_mi.properties	(revision 30500)
@@ -1,10 +1,27 @@
+#***** TEXT FRAGMENTS *****
 gsdl=Greenstone Digital Library Software
-home_b=KÄINGA
-help_b=ÄWHINA
-pref_b=KÅWHIRINGA
+# the buttons
+home_b=KÄinga
+help_b=Äwhina
+pref_b=KÅwhiringa
+# tool tips for the buttons
 home_tip=WhÄrangi kÄinga
 help_tip=WhÄrangi Äwhina
 pref_tip=Te whakarerekÄ Å kÅwhiringa
-aboutpage=He kupu whakamÄrama i te kohikohinga nei
+# page titles
+help_t=Äwhina
+pref_t=KÅwhiringa
+aboutpage=WhÄrangi whakamÄrama
+# other
+open_folder=whakatÅ«whera mai tÄnei kÅpaki hei tirotiro ai
+view_document=Tirohia te tuhinga
+
+######################
+# about page
+#######################
+
+#######################
+# query page
+########################
 query.wordcount=Kia hia ngÄ kupu: 
 query.nodocsmatch=kÄore he kitenga e pÄ ana ki Äu kupu rapu.
@@ -12,10 +29,17 @@
 query.results=ngÄ kitenga
 query.matches=Kitenga 
+
+##################
+# prefs page
+##################
 pref.searchpref=KÅwhiringa Rapu
 pref.prespref=KÅwhiringa Whakaaturanga
 pref.interfacelang=reo tauwhiti 
 pref.encoding=Whakatakotoranga pÅ«: 
-pref.all=katoa
+pref.all=te katoa
 pref.set_prefs=whakamaua kÅwhiringa
+##################
+# document page
+##################
 doc.expand_doc_b=WHAKANUI<br />KUPU TUHITUHI
 doc.expand_doc_tip=Titiro ki ngÄ kupu katoa
@@ -28,2 +52,12 @@
 doc.detach_page_b=WHAKAWEHE
 doc.detach_page_tip=Huakina mai he matapihi hou kia noho motuhake ai tÄnei kÅrero
+
+
+
+
+##################
+# authentication page
+##################
+
+
+
Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_mi.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_mi.properties	(revision 30499)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_mi.properties	(revision 30500)
@@ -0,0 +1,26 @@
+# This properties file is for the secondary text strings, not the main stuff
+##################
+# help page
+##################
+
+
+
+help.openbookshelf=WhakatÅ«whera mai Änei pukapuka
+
+
+
+
+
+
+
+
+
+
+
+#############################
+# Document structure editor #
+#############################
+
+###################
+# DebugInfo  #
+###################
Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_gs2_mi.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_gs2_mi.properties	(revision 30500)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_gs2_mi.properties	(revision 30500)
@@ -0,0 +1,42 @@
+# text for the titles (in the page header)
+about_t=e pÄ ana
+texticonpdf=titiro ki te tuhinga PDF
+texticonps=titiro ki te tuhinga Postscript
+texticonrtf=titiro ki te tuhinga RTF
+texticonmsword=titiro ki te tuhinga Microsoft Word
+texticonppt=titiro ki te tuhinga PowerPoint
+texticonxls=Tirohia te kÅnae Microsoft Excel
+#################
+# home page
+#################
+##################
+# about page
+##################
+#aboutpage=About page
+#about.services=Services available:
+#about.description=Description:
+about.aboutcoll=He kupu whakamÄrama i te kohikohinga nei
+##################
+# prefs page
+##################
+# pref.searchpref=Search preferences
+# pref.prespref=Presentation preferences
+# pref.interfacelang=Interface language
+# pref.encoding=Encoding
+pref.all=te katoa
+pref.query_mode_simple=te rapu ngÄwari
+##################
+# query page
+##################
+# query.wordcount=Word count:
+# query.nodocsmatch=No documents matched the query.
+# query.onedocsmatch=One document matched the query.
+# query.manydocsmatch={0} documents matched the query.
+# query.matches=Matches
+query.results=ngÄ kitenga
+##################
+# help page
+##################
+
+# hack for current model col setup.
+
Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_nzdl_mi.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_nzdl_mi.properties	(revision 30500)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_nzdl_mi.properties	(revision 30500)
@@ -0,0 +1,34 @@
+home_b=KÄINGA
+pref_b=KÅWHIRINGA
+help_b=ÄWHINA
+# text for the titles (in the page header)
+about_t=e pÄ ana
+#################
+# home page
+#################
+##################
+# about page
+##################
+aboutpage=WhÄrangi whakamÄrama
+#about.services=Services available:
+#about.description=Description:
+about.aboutcoll=He kupu whakamÄrama i te kohikohinga nei
+##################
+# prefs page
+##################
+pref.searchpref=KÅwhiringa Rapu
+pref.prespref=KÅwhiringa Whakaaturanga
+pref.interfacelang=reo tauwhiti 
+pref.encoding=Whakatakotoranga pÅ«: 
+##################
+# query page
+##################
+query.nodocsmatch=kÄore he kitenga e pÄ ana ki Äu kupu rapu.
+query.results=ngÄ kitenga
+##################
+# help page
+##################
+#################################
+#stuff for individual collections
+#################################
+