Index: main/trunk/greenstone3/web/WEB-INF/classes/GATEServices_ru.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/GATEServices_ru.properties	(revision 30501)
+++ main/trunk/greenstone3/web/WEB-INF/classes/GATEServices_ru.properties	(revision 30501)
@@ -0,0 +1,5 @@
+# Service parameters
+param.annotationType.Date=ÐÐ°ÑÐ°
+param.annotationType.Organization=ÐÑÐ³Ð°ÐœÐžÐ·Ð°ÑÐžÑ
+
+#service stuff
Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_basic2_ru.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_basic2_ru.properties	(revision 30500)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_basic2_ru.properties	(revision 30501)
@@ -0,0 +1,18 @@
+##################
+# help page
+##################
+
+
+
+help.openbookshelf=ÐÑÐºÑÑÑÑ ÑÑÑ ÐºÐœÐžÐ¶ÐœÑÑ Ð¿ÐŸÐ»ÐºÑ
+help.sectionarrows=ÐÐµÑÐµÐ¹ÑÐž Ðº Ð¿ÑÐµÐŽÑÐŽÑÑÐµÐ¹/ÑÐ»ÐµÐŽÑÑÐµÐ¹ ÑÐµÐºÑÐžÐž
+
+
+
+
+
+
+
+
+
+
Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_basic_ru.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_basic_ru.properties	(revision 30500)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_basic_ru.properties	(revision 30501)
@@ -1,10 +1,30 @@
+#***** TEXT FRAGMENTS *****
 gsdl=Ð­Ð»ÐµÐºÑÑÐŸÐœÐœÐ°Ñ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐ° ÐÑÐžÐœÑÑÐŸÑÐœ
+# the buttons
 home_b=ÐÐÐ§ÐÐÐ
 help_b=ÐÐÐÐÐ©Ð¬
 pref_b=ÐÐÐ¡Ð¢Ð ÐÐÐÐ
+# tool tips for the buttons
 home_tip=ÐÐŸÐŒÐ°ÑÐœÑÑ ÑÑÑÐ°ÐœÐžÑÐ°
 help_tip=Ð¡ÑÑÐ°ÐœÐžÑÐ° Ð¿ÐŸÐŒÐŸÑÐž
 pref_tip=ÐÐ·ÐŒÐµÐœÐµÐœÐžÐµ ÐœÐ°ÑÑÑÐŸÐµÐº
-aboutpage=ÐÐµÐŒÐœÐŸÐ³ÐŸ ÐŸ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž
+# page titles
+help_t=ÐÐŸÐŒÐŸÑÑ
+pref_t=ÐÐ°ÑÑÑÐŸÐ¹ÐºÐž
+aboutpage=Ð Ð¿ÑÐŸÐ³ÑÐ°ÐŒÐŒÐµ
+textframebrowser=ÐÐ»Ñ Ð¿ÑÐŸÑÐŒÐŸÑÑÐ° ÑÐŸÐŽÐµÑÐ¶ÐžÐŒÐŸÐ³ÐŸ, ÐœÐµÐŸÐ±Ñ
+ÐŸÐŽÐžÐŒÐŸ ÑÑÑÐ°ÐœÐŸÐ²ÐžÑÑ Ð² Ð²Ð°ÑÐµÐŒ Ð±ÑÐ°ÑÐ·ÐµÑÐµ ÑÐ°Ð·ÑÐµÑÐµÐœÐžÐµ Ð¿ÐŸÐŽÐŽÐµÑÐ¶ÐºÐž ÑÑÐµÐ¹ÐŒÐŸÐ². 
+home.librarian_interface=ÐÐžÐ±Ð»ÐžÐŸÑÐµÑÐœÑÐ¹ ÐžÐœÑÐµÑÑÐµÐ¹Ñ
+# other
+open_folder=ÐÑÐºÑÑÑÑ Ð¿Ð°Ð¿ÐºÑ Ðž Ð¿ÑÐŸÑÐŒÐŸÑÑÐµÑÑ ÑÐŸÐŽÐµÑÐ¶Ð°ÐœÐžÐµ
+view_document=ÐÑÐŸÑÐŒÐŸÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ°
+
+######################
+# about page
+#######################
+
+#######################
+# query page
+########################
 query.wordcount=ÐÐŸÐ»ÐžÑÐµÑÑÐ²ÐŸ Ð²Ñ
 ÐŸÐ¶ÐŽÐµÐœÐžÐ¹: 
@@ -15,4 +35,8 @@
 ÐŸÐ¶ÐŽÐµÐœÐžÐ¹
 query.matches=Ð ÐµÐ·ÑÐ»ÑÑÐ°ÑÑ 
+
+##################
+# prefs page
+##################
 pref.searchpref=ÐÐ°ÑÑÑÐŸÐ¹ÐºÐž Ð¿ÐŸÐžÑÐºÐ°
 pref.prespref=ÐÐ°ÑÑÑÐŸÐ¹ÐºÐž ÐžÐœÑÐµÑÑÐµÐ¹ÑÐ°
@@ -21,4 +45,10 @@
 pref.all=Ð²ÑÐµ
 pref.set_prefs=ÑÑÑÐ°ÐœÐŸÐ²ÐžÑÑ Ð¿ÑÐµÐŽÐ¿ÐŸÑÑÐµÐœÐžÑ
+pref.berrybasket.on=Ð²ÐºÐ»ÑÑÐµÐœ
+pref.berrybasket.off=Ð²ÑÐºÐ»ÑÑÐµÐœ
+
+##################
+# document page
+##################
 doc.expand_doc_b=ÐÐÐ¡Ð¬<br />Ð¢ÐÐÐ¡Ð¢
 doc.expand_doc_tip=ÐÐŸÐºÐ°Ð·Ð°ÑÑ Ð²ÐµÑÑ ÑÐµÐºÑÑ
@@ -32,2 +62,28 @@
 doc.detach_page_b=ÐÐÐÐÐ<br />ÐÐÐÐ
 doc.detach_page_tip=ÐÑÐºÑÑÑÑ ÑÑÑÐ°ÐœÐžÑÑ Ð² ÐœÐŸÐ²ÐŸÐŒ ÐŸÐºÐœÐµ
+
+
+external.title=ÐÐœÐµÑÐœÑÑ ÑÑÑÐ»ÐºÐ°
+
+
+##################
+# authentication page
+##################
+authen.no_permission=ÐÐ·Ð²ÐžÐœÐžÑÐµ, ÐœÐŸ Ð²Ñ ÐœÐµ ÐŸÐ±Ð»Ð°ÐŽÐ°ÐµÑÐµ Ð¿ÐŸÐ»ÐœÐŸÐŒÐŸÑÐžÑÐŒÐž ÐŽÐŸÑÑÐ°ÑÐŸÑÐœÑÐŒÐž ÐŽÐ»Ñ ÐŽÐŸÑÑÑÐ¿Ð° Ðº Ð·Ð°Ð¿ÑÐŸÑÐµÐœÐœÐŸÐ¹ Ð²Ð°ÐŒÐž ÑÑÑÐ°ÐœÐžÑÐµ.
+authen.enabled=ÑÐ°Ð·ÑÐµÑÐµÐœÐŸ
+authen.disabled=Ð·Ð°Ð¿ÑÐµÑÐµÐœÐŸ
+authen.change_password_title=ÐÐ·ÐŒÐµÐœÐžÑÑ Ð¿Ð°ÑÐŸÐ»Ñ
+authen.change_password_successed_content=ÐÐ°Ñ Ð¿Ð°ÑÐŸÐ»Ñ Ð±ÑÐ» ÑÑÐ¿ÐµÑÐœÐŸ ÐžÐ·ÐŒÐµÐœÐµÐœ.
+authen.two_password_not_match=ÐÐ²ÐµÐŽÐµÐœÑ ÑÐ°Ð·ÐœÑÐµ Ð²ÐµÑÑÐžÐž Ð²Ð°ÑÐµÐ³ÐŸ ÐœÐŸÐ²ÐŸÐ³ÐŸ Ð¿Ð°ÑÐŸÐ»Ñ.
+authen.password_initial=ÐÐŸÐ¶Ð°Ð»ÑÐ¹ÑÑÐ°, Ð²Ð²ÐµÐŽÐžÑÐµ ÐœÐ°ÑÐ°Ð»ÑÐœÑÐ¹ Ð¿Ð°ÑÐŸÐ»Ñ ÐŽÐ»Ñ ÐŽÐ°ÐœÐœÐŸÐ³ÐŸ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»Ñ.
+authen.wrong_password_warning=ÐÐ²ÐµÐŽÐµÐœÐŸ ÐœÐµÐ²ÐµÑÐœÐŸÐµ ÐžÐŒÑ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»Ñ ÐžÐ»Ðž Ð¿Ð°ÑÐŸÐ»Ñ.
+authen.list_of_current_users_title=Ð¡Ð¿ÐžÑÐŸÐº ÑÐµÐºÑÑÐžÑ
+ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»ÐµÐ¹
+authen.authentication=ÐÐŽÐŒÐžÐœÐžÑÑÑÐ°ÑÐžÐ²ÐœÐ°Ñ ÑÑÑÐ°ÐœÐžÑÐ°
+authen.greenstone_home=ÐÐŸÐŒÐ°ÑÐœÑÑ ÑÑÑÐ°ÐœÐžÑÐ° Greenstone
+authen.list_users=Ð¡Ð¿ÐžÑÐŸÐº Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»ÐµÐ¹
+authen.change_password=ÐÐ·ÐŒÐµÐœÐžÑÑ Ð¿Ð°ÑÐŸÐ»Ñ
+authen.change_password=ÐÐ·ÐŒÐµÐœÐžÑÑ Ð¿Ð°ÑÐŸÐ»Ñ
+
+
+
Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_gs2_ru.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_gs2_ru.properties	(revision 30501)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_gs2_ru.properties	(revision 30501)
@@ -0,0 +1,30 @@
+# text for the titles (in the page header)
+about_t=ÐŸÐ¿ÐžÑÐ°ÐœÐžÐµ
+texticonpdf=ÐÑÐŸÑÐŒÐŸÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° ÐÐºÑÐŸÐ±Ð°Ñ PDF
+texticonps=ÐÑÐŸÑÐŒÐŸÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° PostScript
+texticonrtf=ÐÑÐŸÑÐŒÐŸÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° RTF
+texticonmsword=ÐÑÐŸÑÐŒÐŸÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° Microsoft Word
+texticonppt=ÐÑÐŸÑÐŒÐŸÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° Ð¿ÑÐµÐ·ÐµÐœÑÐ°ÑÐžÐž PPT
+texticonxls=ÐÑÐŸÑÐŒÐŸÑÑ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° Microsoft Excel
+#################
+# home page
+#################
+##################
+# about page
+##################
+about.aboutcoll=ÐÐµÐŒÐœÐŸÐ³ÐŸ ÐŸ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž
+##################
+# prefs page
+##################
+pref.all=Ð²ÑÐµ
+pref.query_mode_simple=Ð¿ÑÐŸÑÑÐ°Ñ ÑÐŸÑÐŒÐ° Ð·Ð°Ð¿ÑÐŸÑÐ°
+##################
+# query page
+##################
+query.results=Ð²Ñ
+ÐŸÐ¶ÐŽÐµÐœÐžÐ¹
+##################
+# help page
+##################
+
+
Index: main/trunk/greenstone3/web/WEB-INF/classes/interface_nzdl_ru.properties
===================================================================
--- main/trunk/greenstone3/web/WEB-INF/classes/interface_nzdl_ru.properties	(revision 30501)
+++ main/trunk/greenstone3/web/WEB-INF/classes/interface_nzdl_ru.properties	(revision 30501)
@@ -0,0 +1,34 @@
+home_b=ÐÐÐ§ÐÐÐ
+pref_b=ÐÐÐ¡Ð¢Ð ÐÐÐÐ
+help_b=ÐÐÐÐÐ©Ð¬
+# text for the titles (in the page header)
+about_t=ÐŸÐ¿ÐžÑÐ°ÐœÐžÐµ
+#################
+# home page
+#################
+##################
+# about page
+##################
+aboutpage=Ð Ð¿ÑÐŸÐ³ÑÐ°ÐŒÐŒÐµ
+about.aboutcoll=ÐÐµÐŒÐœÐŸÐ³ÐŸ ÐŸ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž
+##################
+# prefs page
+##################
+pref.searchpref=ÐÐ°ÑÑÑÐŸÐ¹ÐºÐž Ð¿ÐŸÐžÑÐºÐ°
+pref.prespref=ÐÐ°ÑÑÑÐŸÐ¹ÐºÐž ÐžÐœÑÐµÑÑÐµÐ¹ÑÐ°
+pref.interfacelang=Ð¯Ð·ÑÐº ÐžÐœÑÐµÑÑÐµÐ¹ÑÐ°:
+pref.encoding=ÐÐŸÐŽÐžÑÐŸÐ²ÐºÐ°:
+##################
+# query page
+##################
+query.nodocsmatch=ÐÐŸÐºÑÐŒÐµÐœÑÐŸÐ² ÑÐŽÐŸÐ²Ð»ÐµÑÐ²ÐŸÑÑÑÑÐžÑ
+ Ð·Ð°Ð¿ÑÐŸÑÑ ÐœÐµ ÐœÐ°Ð¹ÐŽÐµÐœÐŸ.
+query.results=Ð²Ñ
+ÐŸÐ¶ÐŽÐµÐœÐžÐ¹
+##################
+# help page
+##################
+#################################
+#stuff for individual collections
+#################################
+