Index: /main/trunk/greenstone3/web/WEB-INF/classes/GATEServices_sk.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/GATEServices_sk.properties	(revision 30502)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/GATEServices_sk.properties	(revision 30502)
@@ -0,0 +1,5 @@
+# Service parameters
+param.annotationType.Date=DÃ¡tum
+param.annotationType.Organization=OrganizÃ¡cie
+
+#service stuff
Index: /main/trunk/greenstone3/web/WEB-INF/classes/IViaSearch_sk.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/IViaSearch_sk.properties	(revision 30502)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/IViaSearch_sk.properties	(revision 30502)
@@ -0,0 +1,6 @@
+#query params
+param.index.au=Autor
+param.index.ti=NÃ¡zvu
+param.index.kw=KÄŸÃºÄovÃ© slovÃ¡
+param.index.su=Predmetu
+param.index.de=Popis
Index: /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_sk.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_sk.properties	(revision 30501)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/ServiceRack_sk.properties	(revision 30502)
@@ -1,1 +1,67 @@
+# This now contains the properties for all the core service racks
+
+## Service Names
+TextQuery.submit=HÄŸadaÅ¥
+
+FieldQuery.submit=HÄŸadaÅ¥
+
+AdvancedFieldQuery.submit=HÄŸadaÅ¥
+
+
+ClassifierBrowse.name=PrezrieÅ¥
 ClassifierBrowse.classifier_help:PrehliadaÅ¥ podÄŸa {0}
+
+
+
+# search parameters
+
+param.boolean.on=zapnutÃœ
+param.boolean.off=vypnutÃœ
+param.matchMode.all=vÅ¡etkÃœch
+param.matchMode.some=niektorÃœch
+
+param.sortBy.0=zmeniÅ¥ poradie
+param.sortBy.none=zmeniÅ¥ poradie
+param.sortOrder.0=vzostupne
+param.sortOrder.1=zostupne
+param.reverseSort.0=vypnutÃœ
+param.reverseSort.1=zapnutÃœ
+param.fqs=koncovky
+
+#levels 
+level.document=Dokument
+level.Doc=Dokument
+level.section=Äast
+level.Sec=Äast
+level.paragraph=Odsek
+level.Para=Odsek
+
+## Authentication
+Authentication.name=SprÃ¡vcovskÃ¡ strÃ¡nka 
+
+## Authentication services
+ListUsers.description=listuj v pouÅŸÃ­vateÄŸoch
+
+
+## Authentication params
+param.un=meno
+param.pw=heslo
+param.com=komentÃ¡r
+param.boolean.enabled=zapnutÃ©
+param.boolean.disabled=vypnutÃ©
+param.as=stav ÃºÄtu
+param.gp=skupiny
+param.npw=novÃ© heslo
+param.rnpw=napÃ­Å¡te eÅ¡te raz novÃ© heslo
+
+
+
+## CrossCollectionSearch specific strings
+CrossCollectionSearch.TextQuery.submit=HÄŸadaÅ¥
+
+
+## LuceneSearch specific strings
+LuceneSearch.TextQuery.name=HÄŸadaÅ¥
+LuceneSearch.TextQuery.submit=HÄŸadaÅ¥
+
+
Index: /main/trunk/greenstone3/web/WEB-INF/classes/interface_basic2_sk.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/interface_basic2_sk.properties	(revision 30501)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/interface_basic2_sk.properties	(revision 30502)
@@ -0,0 +1,18 @@
+##################
+# help page
+##################
+
+
+
+help.openbookshelf=Otvor tÃºto policu
+help.sectionarrows=ChoÄ do predchÃ¡dzajÃºcej/dalÅ¡ej Äasti
+
+
+
+
+
+
+
+
+
+
Index: /main/trunk/greenstone3/web/WEB-INF/classes/interface_basic_sk.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/interface_basic_sk.properties	(revision 30501)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/interface_basic_sk.properties	(revision 30502)
@@ -1,10 +1,29 @@
+#***** TEXT FRAGMENTS *****
 gsdl=SoftvÃ©r digitÃ¡lnej kniÅŸnice Greenstone
-home_b=DOMOV
-help_b=POMOC
-pref_b=NASTAVENIA
+# the buttons
+home_b=Domov
+help_b=Pomoc
+pref_b=Nastavenia
+# tool tips for the buttons
 home_tip=DomovskÃ¡ strÃ¡nka
 help_tip=Pomoc
 pref_tip=ZmeniÅ¥ nastavania
+# page titles
+help_t=Pomoc
+pref_t=Nastavenia
 aboutpage=O tejto zbierke
+textframebrowser=Na zobrazenie musÃ­te maÅ¥ povolenÃ© rÃ¡mce. 
+home.librarian_interface=KnihovnÃ­cke rozhranie
+# other
+open_folder=OtvoriÅ¥ tento prieÄinok a zobraziÅ¥ obsah
+view_document=PozrieÅ¥ dokument
+
+######################
+# about page
+#######################
+
+#######################
+# query page
+########################
 query.wordcount=PoÄet slov:
 query.nodocsmatch=Åœiadne dokumenty nevyhovujÃº vaÅ¡ej poÅŸiadavke.
@@ -12,10 +31,20 @@
 query.results=zÃ¡znamov
 query.matches=VÃœsledky
+
+##################
+# prefs page
+##################
 pref.searchpref=Nastavenia vyhÄŸadÃ¡vania
 pref.prespref=Nastavenie prezentÃ¡cie
 pref.interfacelang=Jazyk rozhrania:
 pref.encoding=KÃ³dovanie:
-pref.all=vÅ¡etko
+pref.all=vÅ¡etkÃœch
 pref.set_prefs=uloÅŸ nastavenia
+pref.berrybasket.on=zapnutÃœ
+pref.berrybasket.off=vypnutÃœ
+
+##################
+# document page
+##################
 doc.expand_doc_b=ROZBALIÅ€ TEXT
 doc.expand_doc_tip=ZobraziÅ¥ celÃœ text
@@ -28,2 +57,26 @@
 doc.detach_page_b=OTVORIÅ€ V NOVOM OKNE
 doc.detach_page_tip=OtvoriÅ¥ strÃ¡nku v novom okne
+
+external.title=ExternÃœ odkaz
+
+
+##################
+# authentication page
+##################
+authen.no_permission=PrepÃ¡Äte, ale nemÃ¡te prÃ¡vo vstÃºpiÅ¥ na tieto strÃ¡nky.
+authen.enabled=zapnutÃ©
+authen.disabled=vypnutÃ©
+authen.change_password_title=ZmeniÅ¥ heslo
+authen.change_password_successed_content=VaÅ¡e heslo bolo ÃºspeÅ¡ne zmenenÃ©.
+authen.two_password_not_match=NovÃ© heslÃ¡ sa nezhodujÃº.
+authen.password_initial=VloÅŸte poÄiatoÄnÃ© heslo pre tohto pouÅŸÃ­vateÄŸa.
+authen.wrong_password_warning=NeznÃ¡my uÅŸÃ­vateÄŸ, alebo neplatnÃ© heslo.
+authen.list_of_current_users_title=Zoznam pouÅŸÃ­vateÄŸov
+authen.authentication=SprÃ¡vcovskÃ¡ strÃ¡nka 
+authen.greenstone_home=Domov
+authen.list_users=listuj v pouÅŸÃ­vateÄŸoch
+authen.change_password=zmeniÅ¥ heslo
+authen.change_password=zmeniÅ¥ heslo
+
+
+
Index: /main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_sk.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_sk.properties	(revision 30501)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/interface_default2_sk.properties	(revision 30502)
@@ -0,0 +1,28 @@
+# This properties file is for the secondary text strings, not the main stuff
+##################
+# help page
+##################
+
+
+
+help.openbookshelf=Otvor tÃºto policu
+help.sectionarrows=ChoÄ do predchÃ¡dzajÃºcej/dalÅ¡ej Äasti
+
+
+
+
+
+
+
+
+
+
+
+#############################
+# Document structure editor #
+#############################
+dse.edit=editovaÅ¥
+
+###################
+# DebugInfo  #
+###################
Index: /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_sk.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_sk.properties	(revision 30501)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/interface_default_sk.properties	(revision 30502)
@@ -2,14 +2,16 @@
 
 #***** TEXT FRAGMENTS *****
-gsdl:SoftvÃ©r digitÃ¡lnej kniÅŸnice Greenstone
+gsdl=SoftvÃ©r digitÃ¡lnej kniÅŸnice Greenstone
 # the buttons
-home_b:DOMOV
-help_b:POMOC
-pref_b:NASTAVENIA
+home_b:Domov
+help_b:Pomoc
+pref_b:Nastavenia
 # tool tips for the buttons
 home_tip:DomovskÃ¡ strÃ¡nka
 help_tip:Pomoc
 pref_tip:ZmeniÅ¥ nastavania
-aboutpage:O tejto zbierke
+
+aboutpage=O kniÅŸnici
+home.librarian_interface=KnihovnÃ­cke rozhranie
 
 ######################
@@ -23,9 +25,11 @@
 # query page
 ########################
+query=HÄŸadaÅ¥
+
+query.document_plural=dokumenty
+
+# eg Displaying 1 to 20 of 42 sections/documents
 query.nodocsmatch:Åœiadne dokumenty nevyhovujÃº vaÅ¡ej poÅŸiadavke.
 query.onedocsmatch:1 dokument vyhovuje poÅŸiadavke.
-
-
-# eg Displaying 1 to 20 of 42 sections/documents
 
 
@@ -33,9 +37,13 @@
 # prefs page
 ##################
-pref.searchpref:Nastavenia vyhÄŸadÃ¡vania
-pref.prespref:Nastavenie prezentÃ¡cie
-pref.interfacelang:Jazyk rozhrania:
-pref.encoding:KÃ³dovanie:
-pref.all:vÅ¡etko
+pref.searchpref=Nastavenia vyhÄŸadÃ¡vania
+pref.prespref=Nastavenie prezentÃ¡cie
+pref.interfacelang=Jazyk rozhrania:
+pref.encoding=KÃ³dovanie:
+pref.all=vÅ¡etkÃœch
+pref.berrybasket.on=zapnutÃœ
+pref.berrybasket.off=vypnutÃœ
+pref.formatedit.on=zapnutÃœ
+pref.formatedit.off=vypnutÃœ
 pref.set_prefs:uloÅŸ nastavenia
 
@@ -46,6 +54,8 @@
 
 
+doc.document=Dokument
 
 
+external.title=ExternÃœ odkaz
 
 
@@ -53,4 +63,8 @@
 # authentication page
 ##################
+authen.enabled=zapnutÃ©
+authen.disabled=vypnutÃ©
+authen.list_of_current_users_title=Zoznam pouÅŸÃ­vateÄŸov
+authen.authentication=SprÃ¡vcovskÃ¡ strÃ¡nka 
 
 
@@ -59,2 +73,4 @@
 # Document basket #
 ###################
+
+
Index: /main/trunk/greenstone3/web/WEB-INF/classes/interface_gs2_sk.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/interface_gs2_sk.properties	(revision 30502)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/interface_gs2_sk.properties	(revision 30502)
@@ -0,0 +1,29 @@
+# text for the titles (in the page header)
+about_t=O zbierke
+texticonpdf=UkÃ¡ÅŸ PDF dokument
+texticonps=PozrieÅ¥ PostScript dokument
+texticonrtf=PozrieÅ¥ RTF dokument
+texticonmsword=UkÃ¡ÅŸ dokument Microsoft Word
+texticonppt=UkÃ¡ÅŸ PowerPoint dokument
+texticonxls=PozrieÅ¥ Microsoft Excel dokument
+#################
+# home page
+#################
+##################
+# about page
+##################
+about.aboutcoll=O tejto zbierke
+##################
+# prefs page
+##################
+pref.all=vÅ¡etkÃœch
+pref.query_mode_simple=jednoduchÃ© vyhÄŸadÃ¡vanie
+##################
+# query page
+##################
+query.results=zÃ¡znamov
+##################
+# help page
+##################
+
+
Index: /main/trunk/greenstone3/web/WEB-INF/classes/interface_nzdl_sk.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/interface_nzdl_sk.properties	(revision 30502)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/interface_nzdl_sk.properties	(revision 30502)
@@ -0,0 +1,34 @@
+home_b=DOMOV
+pref_b=NASTAVENIA
+help_b=POMOC
+# text for the titles (in the page header)
+about_t=O zbierke
+#################
+# home page
+#################
+##################
+# about page
+##################
+aboutpage=O kniÅŸnici
+#about.services=Services available:
+#about.description=Description:
+about.aboutcoll=O tejto zbierke
+##################
+# prefs page
+##################
+pref.searchpref=Nastavenia vyhÄŸadÃ¡vania
+pref.prespref=Nastavenie prezentÃ¡cie
+pref.interfacelang=Jazyk rozhrania:
+pref.encoding=KÃ³dovanie:
+##################
+# query page
+##################
+query.nodocsmatch=Åœiadne dokumenty nevyhovujÃº vaÅ¡ej poÅŸiadavke.
+query.results=zÃ¡znamov
+##################
+# help page
+##################
+#################################
+#stuff for individual collections
+#################################
+
Index: /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_sk.properties
===================================================================
--- /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_sk.properties	(revision 30502)
+++ /main/trunk/greenstone3/web/WEB-INF/classes/metadata_names_sk.properties	(revision 30502)
@@ -0,0 +1,10 @@
+Subject=Predmetu
+Title=NÃ¡zvu
+Keyword=KÄŸÃºÄovÃ© slovo
+Creator=Autor
+Date=DÃ¡tum
+From=PodÄŸa
+To=Do
+Acronym=Skratka
+Collage=KolÃ¡ÅŸ
+Language=Jazyk