Index: main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/etc/collectionConfig.xml
===================================================================
--- main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/etc/collectionConfig.xml	(revision 30463)
+++ main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/etc/collectionConfig.xml	(revision 30519)
@@ -267,5 +267,5 @@
 				
 <style>
-#nextpagediv {
+#nextpagediv,#nextpage-lr-div {
   position: absolute; 
   top:0px; left:0px; 
@@ -276,5 +276,5 @@
 }
 
-#prevpagediv {
+#prevpagediv, #prevpage-lr-div {
   position: absolute; 
   top:0px; left:0px; 
@@ -285,5 +285,5 @@
 }
 
-#animedgebleed {
+#animedgebleed, #animedgebleed-lr {
   position: absolute; 
   top:0px; left:0px; 
Index: main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/script/annotate.js
===================================================================
--- main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/script/annotate.js	(revision 30463)
+++ main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/script/annotate.js	(revision 30519)
@@ -271,5 +271,5 @@
       //alert("num annotations = " + numAnnotations + " removeMetapos = " + removeMetapos);
 
-      for (var a=0; a<numAnnotations; a++) {
+      for (var a=1; a<numAnnotations; a++) { // start 'a' at 1 to skip the <!-- filler --> text
           var annotateDiv = annotateDivs[a];
 
Index: main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/script/musicstand-main.js
===================================================================
--- main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/script/musicstand-main.js	(revision 30463)
+++ main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/script/musicstand-main.js	(revision 30519)
@@ -118,4 +118,5 @@
   // setup page 2 as next page
   var nextPageImg = document.getElementById("nextpageimg");
+  var nextPageImg_LR = document.getElementById("nextpage-lr-img");
   var nextPageUrl = musicStand.httpnextanim(gs.cgiParams["pagePrefix"],gs.cgiParams["pageSuffix"],musicStand.getPageNum()+1);
 
@@ -126,4 +127,5 @@
   ////}
   nextPageImg.src = nextPageUrl;
+  nextPageImg_LR.src = nextPageUrl;
 
     if (musicStand.getPageNum()>1) {
@@ -136,13 +138,21 @@
     }
     
-  // some browsers clear clip rectangle with new image => set it to what we need
+    // some browsers clear clip rectangle with new image => set it to what we need
+  var clip_str = "rect(0px, "+gs.cgiParams["pageWidth"]+"px, "+gs.cgiParams["pageHeight"]+"px, "+gs.cgiParams["pageWidth"]+"px)";
+    
   var nextpagediv = document.getElementById("nextpagediv");
-  nextpagediv.style.clip = "rect(0px, "+gs.cgiParams["pageWidth"]+"px, "+gs.cgiParams["pageHeight"]+"px, "+gs.cgiParams["pageWidth"]+"px)";
+  nextpagediv.style.clip = clip_str;
+  var nextpagediv_lr = document.getElementById("nextpage-lr-div");
+  nextpagediv_lr.style.clip = clip_str;
 
   var prevpagediv = document.getElementById("prevpagediv");
-  prevpagediv.style.clip = "rect(0px, "+gs.cgiParams["pageWidth"]+"px, "+gs.cgiParams["pageHeight"]+"px, "+gs.cgiParams["pageWidth"]+"px)";
+  prevpagediv.style.clip = clip_str;
+  var prevpagediv_lr = document.getElementById("prevpage-lr-div");
+  prevpagediv_lr.style.clip = clip_str;
 
   var animedgebleed = document.getElementById("animedgebleed");
-  animedgebleed.style.clip = "rect(0px, "+gs.cgiParams["pageWidth"]+"px, "+gs.cgiParams["pageHeight"]+"px, "+gs.cgiParams["pageWidth"]+"px)";
+  animedgebleed.style.clip = clip_str;
+  var animedgebleed_lr = document.getElementById("animedgebleed-lr");
+  animedgebleed_lr.style.clip = clip_str;
 
   // no previous page to set up
Index: main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/script/musicstand-open.js
===================================================================
--- main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/script/musicstand-open.js	(revision 30463)
+++ main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/script/musicstand-open.js	(revision 30519)
@@ -2,5 +2,5 @@
   var GUITopGap = 135;
   var GUIBotGap =  30;
-  var GUILeftRightGap = 80;
+  var GUILeftRightGap = 60; // used to be 80
 
   function openMusicStand(docid,pagePrefix,pageSuffix,numPages,maxPageWidth,maxPageHeight)
@@ -64,4 +64,6 @@
     url += "&numPages="+numPages;
     url += "&pageWidth="+pageWidth+"&pageHeight="+pageHeight;
+    url += "&pageWidthWithBreakbar="+pageWidth+(GUILeftRightGap/2);
+    url += "&musicStandWidth="+musicStandWidth+"&musicStandHeight="+musicStandHeight;
     url += "&scaleFactor="+ratio;
 
@@ -70,6 +72,19 @@
     options += ',width='+musicStandWidth+',height='+musicStandHeight;
 
+    //var options = 'toolbar=no, menubar=no, location=no, scrollbars=no, status=yes';
+    //options += ', width='+musicStandWidth+', height='+musicStandHeight;
+
+    // The following worked in MS-Edge
+    //var options = 'height='+Number(musicStandHeight-340)+', width='+musicStandWidth; 
+    //options += ', status=yes, toolbar=no, menubar=no, location=no';
+
+    //var options = "height=600, width=400, status=yes, toolbar=no, menubar=no, location=no";
+
+    console.log("Opening new window with options:" + options);
+      
     window.open(url, 'musicstand', options);
-
+    //window.open(url, null, options);
+    //window.open("Sample.htm", null, "height=600, width=400, status=yes, toolbar=no, menubar=no, location=no");
+      
     return false;
   }
Index: main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/script/musicstand.js
===================================================================
--- main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/script/musicstand.js	(revision 30463)
+++ main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/script/musicstand.js	(revision 30519)
@@ -22,6 +22,7 @@
   var topVal    = 0;
   var rightVal  = pageXDim;
-  var bottomVal = 0;
-  var leftVal   = 0;
+  var bleedingEdgeValY = 0;
+  var bleedingEdgeValX = 0;
+  var leftVal    = 0;
 
   var pageNum = cgiGotoPage;
@@ -156,105 +157,91 @@
   }
 
-
-  pageAnimPrivate = function(direction,pagePrefix,pageSuffix) 
-  {
-	var imagediv = (direction>0) ? 'nextpagediv' : 'prevpagediv';
-        var imagelayer = document.getElementById(imagediv)
-        var bleedlayer = document.getElementById('animedgebleed')
-
-	var deltaY;
-	var deltaTime;
-
-	if (bottomVal<speedBreak) {
-	  deltaY = 2;
-	  deltaTime = 10;
-	}
-	else {
-	  deltaY = 1;
-	  deltaTime = 30;
-	}
-
-	if(bottomVal < pageYDim) {	
-		bottomVal += deltaY;
-		imagelayer.style.clip="rect("+topVal+"px "+rightVal+"px "+bottomVal+"px "+leftVal+"px)"
-		bleedlayer.style.clip="rect("+topVal+"px "+rightVal+"px "+(bottomVal+2)+"px "+leftVal+"px)"
-		var callPageAnim = "pageAnimPrivate("+direction+",'"+pagePrefix+"','"+pageSuffix+"')";
-		pageAnimTimer = setTimeout(callPageAnim,deltaTime)
-	}
-	else {
-
-	  // finished => update the image that is the current page
-	  var thisimg = document.getElementById('thispageimg')
-	  var nextimg = document.getElementById('nextpageimg')
-	  var previmg = document.getElementById('prevpageimg')
-	  
-	  if (direction>0) {
-	    if (pageNum<totalPageCount) {
-	        pageNum++;
-		previmg.src = thisimg.src;
-  	        thisimg.src = nextimg.src;
-
-		resetValues(); // reset clip rectangles
-
-  	        var nextSrc = httpnextanimPrivate(pagePrefix,pageSuffix,pageNum+1);
-	        nextimg.src = nextSrc;
-
-	        var nextspan = document.getElementById('nextpagespan');
-
-		// update page numbers displayed for next and prev
-	        var nextval = document.getElementById('nextpageval');
-		if (pageNum<totalPageCount) {
-		    nextval.innerHTML = (pageNum+1);
-		    displayInline('nextpagespan');
-		}
-		else {
-		    nextval.innerHTML = "";
-		    displayNone('nextpagespan');
-		}
-
-	        var prevval = document.getElementById('prevpageval');
-		prevval.innerHTML = (pageNum-1);
-
-		displayInline('prevpagespan');
-	    }
+    
+  pageAnimFinishedPrivate = function(direction,pagePrefix,pageSuffix) 
+  {
+      var thisimg = document.getElementById('thispageimg')
+
+      var nextimg = document.getElementById('nextpageimg')
+      var nextimg_lr = document.getElementById('nextpage-lr-img')
+
+      var previmg = document.getElementById('prevpageimg')
+      var previmg_lr = document.getElementById('prevpage-lr-img')
+      
+      if (direction>0) {
+	  if (pageNum<totalPageCount) {
+	      pageNum++;
+	      previmg.src = thisimg.src;
+	      previmg_lr.src = thisimg.src;	      
+  	      thisimg.src = nextimg.src;
+
+	      setTimeout(function() {
+		  resetValues(); // reset clip rectangles
+	      
+  		  var nextSrc = httpnextanimPrivate(pagePrefix,pageSuffix,pageNum+1);
+		  nextimg.src = nextSrc;
+		  nextimg_lr.src = nextSrc;
+		  
+		  var nextspan = document.getElementById('nextpagespan');
+		  
+		  // update page numbers displayed for next and prev
+		  var nextval = document.getElementById('nextpageval');
+		  if (pageNum<totalPageCount) {
+		      nextval.innerHTML = (pageNum+1);
+		      displayInline('nextpagespan');
+		  }
+		  else {
+		      nextval.innerHTML = "";
+		      displayNone('nextpagespan');
+		  }
+		  
+		  var prevval = document.getElementById('prevpageval');
+		  prevval.innerHTML = (pageNum-1);
+		  
+		  displayInline('prevpagespan');
+	      },700);
 	  }
-	  else {
-	    // previous page
-	    if (pageNum>0) {
-	        pageNum--;
-		nextimg.src = thisimg.src;
-  	        thisimg.src = previmg.src;
-
-		resetValues(); // reset clip rectangles
-
-  	        var prevSrc = httpnextanimPrivate(pagePrefix,pageSuffix,pageNum-1);
-	        previmg.src = prevSrc;
-
-		// update page numbers displayed for next and prev
-	        var nextval = document.getElementById('nextpageval');
-		nextval.innerHTML = (pageNum+1);
-
-		displayInline('nextpagespan');
-	        //var nextspan = document.getElementById('nextpagespan');
-		//nextspan.style.display = "block";
-
-	        var prevspan = document.getElementById('prevpagespan');
-
-	        var prevval = document.getElementById('prevpageval');
-		if (pageNum>1) {
-		    prevval.innerHTML = (pageNum-1);
-		    displayInline('prevpagespan');
-		}
-		else {
-		    prevval.innerHTML = "";
-		    displayNone('prevpagespan');
-		}
-	    }
-	  }
-
-	  // update docid member variable (pageNum reflect new page value)
-          docid = docRoot + "." + pageNum;
-
-/*
+      }
+      else {
+	  // previous page
+	  if (pageNum>0) {
+	      pageNum--;
+	      nextimg.src = thisimg.src;
+	      nextimg_lr.src = thisimg.src;
+  	      thisimg.src = previmg.src;
+
+	      setTimeout(function() {
+		  resetValues(); // reset clip rectangles
+		  
+  		  var prevSrc = httpnextanimPrivate(pagePrefix,pageSuffix,pageNum-1);
+		  previmg.src = prevSrc;
+		  previmg_lr.src = prevSrc;
+		  
+		  // update page numbers displayed for next and prev
+		  var nextval = document.getElementById('nextpageval');
+		  nextval.innerHTML = (pageNum+1);
+		  
+		  displayInline('nextpagespan');
+		  //var nextspan = document.getElementById('nextpagespan');
+		  //nextspan.style.display = "block";
+		  
+		  var prevspan = document.getElementById('prevpagespan');
+		  
+		  var prevval = document.getElementById('prevpageval');
+		  if (pageNum>1) {
+		      prevval.innerHTML = (pageNum-1);
+		      displayInline('prevpagespan');
+		  }
+		  else {
+		      prevval.innerHTML = "";
+		      displayNone('prevpagespan');
+		  }
+	      }, 700);
+	  }			
+      }
+      
+      // update docid member variable (pageNum reflect new page value)
+      docid = docRoot + "." + pageNum;
+      
+      /*
 	  // remove any existing annotations
 	  annotate.clearAnnotations();
@@ -272,27 +259,82 @@
 
 
-	  var username = musicStand.getUsername();
-	  var metaval;
-
-	  if (username != null) {
-	      // try of user specific one, if it exists
-	      var metaname = username + "-sliderposTop";
-	      metaval  = gsapi.getLiveMetadata(docid,metaname);
+      var username = musicStand.getUsername();
+      var metaval;
+      
+      if (username != null) {
+	  // try of user specific one, if it exists
+	  var metaname = username + "-sliderposTop";
+	  metaval  = gsapi.getLiveMetadata(docid,metaname);
 	      if (metaval == "") {
 	          // fallback to looking up non-user specific one
 	          metaval  = gsapi.getLiveMetadata(docid,"sliderposTop");
 	      }
-	  }
-	  else {
-      	      //metaval  = gsapi.getLiveMetadata(docid,"sliderposTop");
-      	      metaval  = 700; // ******** hack
-	  }
-	  var sliderposTop = parseInt(metaval);
-
-	  updateSlider(sliderposTop);
-
+      }
+      else {
+      	  //metaval  = gsapi.getLiveMetadata(docid,"sliderposTop");
+      	  metaval  = 700; // ******** hack
+      }
+      var sliderposTop = parseInt(metaval);
+      
+      updateSlider(sliderposTop);      
+  }
+    
+  pageAnimPrivate = function(direction,pagePrefix,pageSuffix) 
+  {
+	var imagediv = (direction>0) ? 'nextpagediv' : 'prevpagediv';
+        var imagelayer = document.getElementById(imagediv)
+        var bleedlayer = document.getElementById('animedgebleed')
+
+	var deltaY = 3;
+	var deltaTime = 15;
+        var callback;
+      
+	if (bleedingEdgeValY<speedBreak) {
+	    callback="pageAnimPrivate";
 	}
-  }
-
+	else {
+	    callback="pageAnimLRPrivate";
+	}
+
+	if(bleedingEdgeValY < pageYDim) {	
+		bleedingEdgeValY += deltaY;
+		imagelayer.style.clip="rect("+topVal+"px "+rightVal+"px "+bleedingEdgeValY+"px "+leftVal+"px)"
+		bleedlayer.style.clip="rect("+topVal+"px "+rightVal+"px "+(bleedingEdgeValY+2)+"px "+leftVal+"px)"
+		var callPageAnim = callback+"("+direction+",'"+pagePrefix+"','"+pageSuffix+"')";
+		pageAnimTimer = setTimeout(callPageAnim,deltaTime)
+	}
+	else {
+	    // finished => update the image that is the current page
+	    pageAnimFinished();
+	}
+  }
+
+
+  pageAnimLRPrivate = function(direction,pagePrefix,pageSuffix) 
+  {
+	var imagediv = (direction>0) ? 'nextpage-lr-div' : 'prevpage-lr-div';
+        var imagelayer = document.getElementById(imagediv)
+        var bleedlayer = document.getElementById('animedgebleed-lr')
+
+        var deltaX = 2;
+	var deltaTime = 40; // used to be 30
+
+	if(bleedingEdgeValX < pageXDim) {	
+	    bleedingEdgeValX += deltaX;
+	    imagelayer.style.clip="rect("+(bleedingEdgeValY+2)+"px "+bleedingEdgeValX+"px "+pageYDim+"px "+leftVal+"px)"
+	    bleedlayer.style.clip="rect("+(bleedingEdgeValY+2)+"px "+(bleedingEdgeValX+2)+"px "+pageYDim+"px "+leftVal+"px)"
+	    var callPageAnim = "pageAnimLRPrivate("+direction+",'"+pagePrefix+"','"+pageSuffix+"')";
+	    pageAnimTimer = setTimeout(callPageAnim,deltaTime)
+	}
+	else {
+	    // finished => update the image that is the current page
+	    pageAnimFinishedPrivate(direction,pagePrefix,pageSuffix);
+	}
+  }
+
+
+    
+
+    
   cancelPageAnimPrivate = function() {
       clearTimeout(pageAnimTimer);
@@ -502,17 +544,29 @@
   {
       var nextlayer = document.getElementById('nextpagediv')
+      var nextlayer_lr = document.getElementById('nextpage-lr-div')
+
       var prevlayer = document.getElementById('prevpagediv')
+      var prevlayer_lr = document.getElementById('prevpage-lr-div')
+
       var bleedlayer = document.getElementById('animedgebleed')
+      var bleedlayer_lr = document.getElementById('animedgebleed-lr')
 
       topVal=0;
       rightVal=pageXDim;
-      bottomVal=0;
+      bleedingEdgeValY=0;
+      bleedingEdgeValX=0;
       leftVal=0
 
-      var startingClip = "rect("+topVal+"px "+rightVal+"px "+bottomVal+"px "+leftVal+"px)";
+      //var startingClip = "rect("+topVal+"px "+rightVal+"px "+bleedingEdgeValY+"px "+leftVal+"px)";
+      var startingClip = "rect(0px 0px 0px 0px)";
 
       nextlayer.style.clip=startingClip;
+      nextlayer_lr.style.clip=startingClip;
+
       prevlayer.style.clip=startingClip;
+      prevlayer_lr.style.clip=startingClip;
+
       bleedlayer.style.clip=startingClip;
+      bleedlayer_lr.style.clip=startingClip;
   }
 }
Index: main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/transform/pages/document.xsl
===================================================================
--- main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/transform/pages/document.xsl	(revision 30463)
+++ main/trunk/model-sites-dev/mozarts-laptop/collect/digital-music-stand/transform/pages/document.xsl	(revision 30519)
@@ -48,4 +48,10 @@
 	</gsf:variable>
 	
+	<gsf:variable name="cgiParamMusicStandWidth">
+	  <xsl:value-of select="/page/pageRequest/paramList/param[@name = 'musicStandWidth']/@value"/>
+	</gsf:variable>
+	<gsf:variable name="cgiParamMusicStandHeight">
+	  <xsl:value-of select="/page/pageRequest/paramList/param[@name = 'musicStandHeight']/@value"/>
+	</gsf:variable>
 	<gsf:variable name="cgiParamPageWidth">
 	  <xsl:value-of select="/page/pageRequest/paramList/param[@name = 'pageWidth']/@value"/>
@@ -54,4 +60,7 @@
 	  <xsl:value-of select="/page/pageRequest/paramList/param[@name = 'pageHeight']/@value"/>
 	</gsf:variable>
+	<gsf:variable name="cgiParamPageWidthWithBreakbar">
+	  <xsl:value-of select="/page/pageRequest/paramList/param[@name = 'pageWidthWithBreakbar']/@value"/>
+	</gsf:variable>
 	<gsf:variable name="cgiParamPagePrefix">
 	  <xsl:value-of select="/page/pageRequest/paramList/param[@name = 'pagePrefix']/@value"/>
@@ -67,6 +76,7 @@
 	</gsf:variable>
 
-	
-	<table id="gotoNavBar" align="center" width="{$cgiParamPageWidth}"> 
+	<div style="width:{$cgiParamMusicStandWidth}px; margin: 0 auto;"> <!-- start of centering div -->
+	  
+	<table id="gotoNavBar" align="center" width="{$cgiParamPageWidth}" style="position: relative; left: 30px;"> 
 	  <tr>
 	    <td align="left" width="20%">
@@ -118,8 +128,82 @@
 	  </tr>
 	</table>
+
 	<table width="100%">
+	  <tbody>
 	  <tr>
-	    <td/>
-	    <td>
+	    <td><xsl:comment>filler</xsl:comment></td>
+
+	    <td width="34">
+	      <div id="slidercontainer" style="background: white; position: relative; left: 0px; top: 0px; width: 34px; height: {$cgiParamPageHeight}px;">
+		<div style="position: relative; left: 5px; top 0px;">
+		 <div id="sliderbg">
+		  <div id="slidertrackabove" style="position: absolute; left: 8px; top: 0px; width: 4px; height: 500px; z-index:4; background-color:#606060;">
+		    <xsl:comment>filler</xsl:comment>
+		  </div>
+		  <div id="slidertrackbelow" style="position: absolute; left: 10px; top: 500px; width: 1px; height: 100px; z-index:4; background-color:#606060;">
+		    <xsl:comment>filler</xsl:comment>
+		  </div>
+		 </div>
+
+		 <!--
+		 <div id="sliderpos" style="width:30px; height:11px;">
+		  <img height="11" src="{$httpCollection}/images/brown2-slider-leftmargin.png" width="30"/>
+		  </div>
+		  -->
+		 <div id="sliderpos" style="width:32px; height:27px;">
+		  <img style="position: absolute; top: -15px; left: 5px;" width="32" height="27" src="{$httpCollection}/images/corner-arrow-left-margin.png" />
+		 </div>
+
+
+		</div>
+		<script language="javascript" type="text/javascript">
+		  <xsl:text disable-output-escaping="yes">var username = musicStand.getUsername();
+	  var metaval;
+
+	  if (username != null) {
+	      var metaname = username + "-sliderposTop";
+	      metaval = 700; // ***** major hack ****
+	      //metaval  = gsapi.getLiveMetadata(gs.cgiParams["d"],metaname);
+	      //if (metaval == "") {
+	      //    // fallback to looking up non-user specific one
+	      //    metaval  = gsapi.getLiveMetadata(gs.cgiParams["d"],"sliderposTop");
+	      //}
+	  }
+	  else {
+	      //metaval  = gsapi.getLiveMetadata(gs.cgiParams["d"],"sliderposTop");
+	      metaval = 700; // ***** major hack ****
+	  }
+	  var sliderposTop = parseInt(metaval);
+
+	  var speedBreak = musicStand.getSpeedBreak();
+
+	  if (sliderposTop &gt; 0) {
+	      sliderposTop *= musicStand.getScaleFactor();
+	      speedBreak = sliderposTop;
+	      musicStand.setSpeedBreak(speedBreak);
+	  }
+
+	  var sliderpos = document.getElementById('sliderpos');
+	  sliderpos.style.top = speedBreak + "px";
+          sliderpos.style.left = "-8px";
+	  sliderpos.onmousedown = dragSlider;
+	  var sliderbg = document.getElementById('sliderbg');
+	  sliderbg.onmousedown = dragSlider;
+
+
+	  var trackabove = document.getElementById('slidertrackabove');
+	  trackabove.style.height = speedBreak + "px";
+
+	  var trackbelow = document.getElementById('slidertrackbelow');
+	  trackbelow.style.top = speedBreak + "px";
+	  trackbelow.style.height = (gs.cgiParams["pageHeight"] - speedBreak) + "px";
+		  </xsl:text>
+		</script>
+	      </div>
+	    </td>
+
+
+	    
+	    <td style="position: relative;">
 	      <div id="thispage" style="cursor: e-resize; background: white;        position: relative; left: 0px; top: 0px;        width: {$cgiParamPageWidth}px; height: {gs.cgiparam.PageHeight}px;">
 		<a onClick="return false;" onContextMenu="return false;" onMouseDown="return musicStand.nextOrPrevPageEvent(event,gs.cgiParams['d'],'.png')" onMouseUp="return false;">
@@ -129,13 +213,22 @@
 		  <img border="0" id="nextpageimg" src=""/>
 		</div>
+		<div id="nextpage-lr-div" style="clip : rect(0px, {$cgiParamPageWidth}px, {$cgiParamPageHeight}px, {$cgiParamPageWidth}px);">
+		  <img border="0" id="nextpage-lr-img" src=""/>
+		</div>
 		<div id="prevpagediv" style="clip : rect(0px, {$cgiParamPageWidth}px, {$cgiParamPageHeight}px, {$cgiParamPageWidth}px);">
 		  <img border="0" id="prevpageimg" src=""/>
 		</div>
-		<div id="animedgebleed" style="clip : rect(0px, {$cgiParamPageWidth}px, {$cgiParamPageHeight}px, {$cgiParamPageWidth}px);">								</div>								<div id="loading">
-		<table height="100%" width="100%">
-		  <tr>
-		    <td width="45%">											</td>											<td align="left">
-		    <span id="loadingdots">loading</span>
-		  </td>
+		<div id="prevpage-lr-div" style="clip : rect(0px, {$cgiParamPageWidth}px, {$cgiParamPageHeight}px, {$cgiParamPageWidth}px);">
+		  <img border="0" id="prevpage-lr-img" src=""/>
+		</div>
+		<div id="animedgebleed" style="clip : rect(0px, {$cgiParamPageWidth}px, {$cgiParamPageHeight}px, {$cgiParamPageWidth}px);"><xsl:comment>filler</xsl:comment></div>
+		<div id="animedgebleed-lr" style="clip : rect(0px, {$cgiParamPageWidth}px, {$cgiParamPageHeight}px, {$cgiParamPageWidth}px);"><xsl:comment>filler</xsl:comment></div>
+		
+		<div id="loading">
+		  <table height="100%" width="100%">
+		    <tr>
+		      <td width="45%">											</td>											<td align="left">
+		      <span id="loadingdots">loading</span>
+		    </td>
 		  </tr>
 		</table>
@@ -227,15 +320,18 @@
 	      
 	      <div id="annotateCanvas" style="position: absolute; left: 0px; top: 0px; visibility: visible; z-index: 2;" >
-		<!-- filler -->
-	      </div>
-	    </td>
+		<xsl:comment>filler</xsl:comment>
+	      </div>
+	    </td>
+
+<!--
+
 	    <td>
 	      <div id="slidercontainer" style="background: white; position: relative; left: 0px; top: 0px; width: 40px; height: {$cgiParamPageHeight}px;">
 		<div id="sliderbg">
 		  <div id="slidertrackabove" style="position: absolute; left: 8px; top: 0px; width: 4px; height: 500px; z-index:4; background-color:#606060;">
-		    <!-- filler -->
+		    <xsl:comment>filler</xsl:comment>
 		  </div>
 		  <div id="slidertrackbelow" style="position: absolute; left: 10px; top: 500px; width: 1px; height: 100px; z-index:4; background-color:#606060;">
-		    <!-- filler -->
+		    <xsl:comment>filler</xsl:comment>
 		  </div>
 		</div>
@@ -289,7 +385,13 @@
 	      </div>
 	    </td>
+
+-->
+	    
          </tr>
+         </tbody>
         </table>
-					  
+
+        </div> <!-- end of centering div -->
+      
       </div>
     </div>