Index: /main/trunk/greenstone3/web/interfaces/default/interfaceConfig.xml
===================================================================
--- /main/trunk/greenstone3/web/interfaces/default/interfaceConfig.xml	(revision 30537)
+++ /main/trunk/greenstone3/web/interfaces/default/interfaceConfig.xml	(revision 30538)
@@ -58,4 +58,7 @@
 			<displayItem name="name">EspaÃ±ol</displayItem>
 		</language>
+		<language name="am">
+		  <displayItem name="name">Amharic</displayItem>
+		</language>
 		<language name="ar">
 			<displayItem name="name">Arabic</displayItem>
@@ -76,4 +79,8 @@
 			<displayItem name="name">Deutsch (German)</displayItem>
 		</language>
+		<language name="dv">
+		  <displayItem name="name">Dhivehi</displayItem>
+		</language>
+
 		<language name="el">
 			<displayItem name="name">ÎÎ»Î»Î·ÎœÎ¹ÎºÎ¬ (Greek)</displayItem>
@@ -91,4 +98,8 @@
 			<displayItem name="name">Galician</displayItem>
 		</language>
+		<language name="gu">
+		  <displayItem name="name">Gujarati</displayItem>
+		</language>
+
 		<language name="he">
 			<displayItem name="name">Hebrew</displayItem>
@@ -97,4 +108,8 @@
 			<displayItem name="name">Hindi</displayItem>
 		</language>
+		<language name="hr">
+		  <displayItem name="name">Croatian</displayItem>
+		</language>
+
 		<language name="hu">
 			<displayItem name="name">Hungarian</displayItem>
@@ -109,5 +124,5 @@
 			<displayItem name="name">Italiano</displayItem>
 		</language>    
-		<language name="jp">
+		<language name="ja">
 			<displayItem name="name">æ¥æ¬èª</displayItem>
 		</language>
@@ -123,5 +138,9 @@
 		<language name="ky">
 			<displayItem name="name">ÐÑÑÐ³ÑÐ·ÑÐ° (Kirghiz)</displayItem>
-		</language>    
+		</language>  
+  		<language name="lo">
+		  <displayItem name="name">Laotian</displayItem>
+		</language>
+
 		<language name="lv">
 			<displayItem name="name">Latvian</displayItem>
@@ -139,22 +158,30 @@
 			<displayItem name="name">Marathi</displayItem>
 		</language>
+		<language name="my">
+		  <displayItem name="name">Burmese</displayItem>
+		</language>
+		<language name="ne">
+		  <displayItem name="name">Nepali</displayItem>
+		</language>
+
 		<language name="nl">
-			<displayItem name="name">Nederlands (Dutch)</displayItem>
+		  <displayItem name="name">Nederlands (Dutch)</displayItem>
 		</language>
 		<language name="pl">
-			<displayItem name="name">polski (Polish)</displayItem>
+		  <displayItem name="name">polski (Polish)</displayItem>
+		</language>
+
+		<language name="prs">
+			<displayItem name="name">Dari</displayItem>
+		</language>
+		<language name="ps">
+			<displayItem name="name">Pushto</displayItem>
 		</language>
 		<language name="pt-br">
-			<displayItem name="name">portuguÃªs-BR (Brasil)</displayItem>
+		  <displayItem name="name">portuguÃªs-BR (Brasil)</displayItem>
 		</language>
 		<language name="pt-pt">
 			<displayItem name="name">portuguÃªs-PT (Portugal)</displayItem>
 		</language>
-		<language name="ps">
-			<displayItem name="name">Pushto</displayItem>
-		</language>
-		<language name="prs">
-			<displayItem name="name">Dari</displayItem>
-		</language>
 		<language name="ro">
 			<displayItem name="name">Romanian</displayItem>
@@ -167,9 +194,19 @@
 		</language>
 		<language name="sk">
-			<displayItem name="name">SlovenÄina (Slovak)</displayItem>
-		</language>
-		<language name="sr">
-			<displayItem name="name">Serbian</displayItem>
-		</language>
+		  <displayItem name="name">SlovenÄina (Slovak)</displayItem>
+		</language>
+		<language name="sr-bh-cyr">
+			<displayItem name="name">Serbian (Cyrillic - Bosnia and Herzegovina)</displayItem>
+		</language>
+		<language name="sr-bh-lat">
+			<displayItem name="name">Serbian (Latin - Bosnia and Herzegovina</displayItem>
+		</language>
+		<language name="sr-cyr">
+			<displayItem name="name">Serbian (Cyrillic)</displayItem>
+		</language>
+		<language name="sr-lat">
+			<displayItem name="name">Serbian (Latin)</displayItem>
+		</language>
+
 		<language name="ta">
 			<displayItem name="name">Tamil</displayItem>
@@ -181,4 +218,8 @@
 			<displayItem name="name">Thai</displayItem>
 		</language>
+		<language name="ti">
+		  <displayItem name="name">Tigrinya</displayItem>
+		</language>
+
 		<language name="tr">
 			<displayItem name="name">Turkish</displayItem>